Bug 13155 - Migration of FinderInfo from AppleDouble files works only with "fruit:metadata=netatalk"
Migration of FinderInfo from AppleDouble files works only with "fruit:metadat...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-20 11:22 UTC by Ralph Böhme
Modified: 2017-12-06 09:21 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.6 backported from master (29.53 KB, patch)
2017-11-30 10:56 UTC, Ralph Böhme
jra: review+
Details
Patch for 4.7 cherry-picked from master (28.79 KB, patch)
2017-11-30 10:56 UTC, Ralph Böhme
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2017-11-20 11:22:59 UTC
vfs_fruit migrates macOS FinderInfo metadata from ._ AppleDouble sidecar files that were created by macOS client on a share without vfs_fruit.

Unfortunately this doesn't work with any other setting of "fruit:metadata" then "netatalk".

Have patch, need bugnumber...
Comment 1 Ralph Böhme 2017-11-30 10:56:04 UTC
Created attachment 13829 [details]
Patch for 4.6 backported from master
Comment 2 Ralph Böhme 2017-11-30 10:56:32 UTC
Created attachment 13830 [details]
Patch for 4.7 cherry-picked from master
Comment 3 Jeremy Allison 2017-11-30 22:00:46 UTC
Re-assigning to Karolin for inclusion in 4.7.next, 4.6.next.
Comment 4 Karolin Seeger 2017-12-05 09:28:05 UTC
(In reply to Jeremy Allison from comment #3)
Pushed to autobuild-v4-{7,6}-test.
Comment 5 Karolin Seeger 2017-12-06 09:21:01 UTC
Pushed to both branches.
Closing out bug report.

Thanks!